> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Payout Method

> Set Payout Method



## OpenAPI

````yaml openapi/billing.yaml put /v1/{tenantUUID}/market/payoutmethod
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/payoutmethod:
    put:
      tags:
        - PayoutMethods
      summary: Set Payout Method
      description: Set Payout Method
      operationId: API-Pub-Market-PayoutMethod-Edit
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/API.Pub.Requests.IPMarket.SetPayoutMethodRequest
            example:
              details:
                beneficiary: string
                address: string
                bic: string
                iban: string
                bank_name: string
                email: string
                note: string
              type: banktransfer
              cycle: 0
              minimal_amount: 0
      responses:
        '200':
          description: Payout Method
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.PayoutMethodResource
              example:
                type: string
                details:
                  - {}
                cycle: 0
                minimal_amount: 0
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Requests.IPMarket.SetPayoutMethodRequest:
      required:
        - type
        - cycle
      type: object
      properties:
        details:
          type: object
          properties:
            beneficiary:
              type: string
            address:
              type: string
            bic:
              type: string
            iban:
              type: string
            bank_name:
              type: string
            email:
              type: string
            note:
              type: string
          description: Details
        type:
          enum:
            - banktransfer
            - credit
            - paypal
          type: string
        cycle:
          enum:
            - 0
            - 1
            - 3
            - 6
            - 12
          type: integer
        minimal_amount:
          type: number
          format: float
    API.Pub.Resources.IPMarket.PayoutMethodResource:
      type: object
      properties:
        type:
          type: string
        details:
          type: array
          items: {}
        cycle:
          type: integer
        minimal_amount:
          type: number
          format: float
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````